<template>
  <v-list-item
    v-on:click="$emit('done', task.id)"
    :class="{ 'green lighten-4': task.done }"
  >
    <template v-slot:default>
      <v-list-item-action>
        <v-checkbox :input-value="task.done"></v-checkbox>
      </v-list-item-action>

      <v-list-item-content>
        <v-list-item-title
          :class="{ 'text-decoration-line-through': task.done }"
        >
          {{ task.title }}
        </v-list-item-title>
        <v-list-item-subtitle
          :class="{ 'text-decoration-line-through': task.done }"
        >
          {{ task.description }}
        </v-list-item-subtitle>
      </v-list-item-content>

      <v-list-item-action>
        <v-btn icon v-on:click.stop="$emit('dialog', task)">
          <v-icon v-text="'mdi-pencil'"></v-icon>
        </v-btn>
      </v-list-item-action>

      <v-list-item-action>
        <v-btn icon v-on:click.stop="$emit('delete', task.id)">
          <v-icon v-text="'mdi-trash-can-outline'"></v-icon>
        </v-btn>
      </v-list-item-action>
    </template>
  </v-list-item>
</template>

<script>
export default {
  name: "ItemListTask",
  props: {
    task: Object,
  },
};
</script>